=== modified file 'include/Makefile.am'
--- include/Makefile.am	2008-07-22 20:48:49 +0000
+++ include/Makefile.am	2008-07-22 21:54:44 +0000
@@ -25,8 +25,8 @@
 			my_list.h \
 			my_alloc.h \
 			typelib.h \
-			mysql/plugin.h \
-			mysql/plugin_audit.h
+			drizzle/plugin.h \
+			drizzle/plugin_audit.h
 
 pkginclude_HEADERS =	$(HEADERS_ABI) \
 			m_string.h \
@@ -72,21 +72,21 @@
 			drizzle_version.h.in \
 			my_handler.h \
 			my_time.h \
-			field/blob.h \
-			field/date.h \
-			field/datetime.h \
-			field/decimal.h \
-			field/double.h \
-			field/int64_t.h \
-			field/long.h \
-			field/null.h \
-			field/set.h \
-			field/short.h \
-			field/string.h \
-			field/timestamp.h \
-			field/timetype.h \
-			field/varstring.h \
-			field/year.h
+			drizzle/server/field/blob.h \
+			drizzle/server/field/date.h \
+			drizzle/server/field/datetime.h \
+			drizzle/server/field/decimal.h \
+			drizzle/server/field/double.h \
+			drizzle/server/field/int64_t.h \
+			drizzle/server/field/long.h \
+			drizzle/server/field/null.h \
+			drizzle/server/field/set.h \
+			drizzle/server/field/short.h \
+			drizzle/server/field/string.h \
+			drizzle/server/field/timestamp.h \
+			drizzle/server/field/timetype.h \
+			drizzle/server/field/varstring.h \
+			drizzle/server/field/year.h
 
 
 # Remove built files and the symlinked directories

=== renamed directory 'include/mysql' => 'include/drizzle'
=== modified file 'include/drizzle/plugin_audit.h'
--- include/mysql/plugin_audit.h	2008-07-18 21:53:31 +0000
+++ include/drizzle/plugin_audit.h	2008-07-22 21:54:44 +0000
@@ -20,7 +20,7 @@
   API for Audit plugin. (MYSQL_AUDIT_PLUGIN)
 */
 
-#include "plugin.h"
+#include <drizzle/plugin.h>
 
 #define MYSQL_AUDIT_CLASS_MASK_SIZE 1
 

=== added directory 'include/drizzle/server'
=== renamed directory 'include/field' => 'include/drizzle/server/field'
=== modified file 'server/field.h'
--- server/field.h	2008-07-22 05:25:22 +0000
+++ server/field.h	2008-07-22 21:54:44 +0000
@@ -866,21 +866,21 @@
 /*
   Field subclasses
  */
-#include "field/blob.h"
-#include "field/null.h"
-#include "field/year.h"
-#include "field/date.h"
-#include "field/decimal.h"
-#include "field/double.h"
-#include "field/short.h"
-#include "field/long.h"
-#include "field/int64_t.h"
-#include "field/timetype.h"
-#include "field/timestamp.h"
-#include "field/datetime.h"
-#include "field/string.h"
-#include "field/varstring.h"
-#include "field/set.h"
+#include "drizzle/server/field/blob.h"
+#include "drizzle/server/field/null.h"
+#include "drizzle/server/field/year.h"
+#include "drizzle/server/field/date.h"
+#include "drizzle/server/field/decimal.h"
+#include "drizzle/server/field/double.h"
+#include "drizzle/server/field/short.h"
+#include "drizzle/server/field/long.h"
+#include "drizzle/server/field/int64_t.h"
+#include "drizzle/server/field/timetype.h"
+#include "drizzle/server/field/timestamp.h"
+#include "drizzle/server/field/datetime.h"
+#include "drizzle/server/field/string.h"
+#include "drizzle/server/field/varstring.h"
+#include "drizzle/server/field/set.h"
 
 /*
   The following are for the interface with the .frm file

=== modified file 'server/field/blob.cc'
--- server/field/blob.cc	2008-07-22 20:48:49 +0000
+++ server/field/blob.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/blob.h"
+#include "drizzle/server/field/blob.h"
 
 #define BLOB_PACK_LENGTH_TO_MAX_LENGH(arg) \
 ((ulong) ((1LL << min(arg, 4) * 8) - 1LL))

=== modified file 'server/field/date.cc'
--- server/field/date.cc	2008-07-22 20:48:49 +0000
+++ server/field/date.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/date.h"
+#include "drizzle/server/field/date.h"
 
 /****************************************************************************
 ** The new date type

=== modified file 'server/field/datetime.cc'
--- server/field/datetime.cc	2008-07-22 20:48:49 +0000
+++ server/field/datetime.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/datetime.h"
+#include "drizzle/server/field/datetime.h"
 
 /****************************************************************************
 ** datetime type

=== modified file 'server/field/decimal.cc'
--- server/field/decimal.cc	2008-07-22 20:48:49 +0000
+++ server/field/decimal.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/decimal.h"
+#include "drizzle/server/field/decimal.h"
 
 /****************************************************************************
 ** Field_new_decimal

=== modified file 'server/field/double.cc'
--- server/field/double.cc	2008-07-22 20:48:49 +0000
+++ server/field/double.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/double.h"
+#include "drizzle/server/field/double.h"
 
 /****************************************************************************
   double precision floating point numbers

=== modified file 'server/field/int64_t.cc'
--- server/field/int64_t.cc	2008-07-22 20:48:49 +0000
+++ server/field/int64_t.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/int64_t.h"
+#include "drizzle/server/field/int64_t.h"
 
 /****************************************************************************
  Field type int64_t int (8 bytes)

=== modified file 'server/field/long.cc'
--- server/field/long.cc	2008-07-22 20:48:49 +0000
+++ server/field/long.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/long.h"
+#include "drizzle/server/field/long.h"
 
 /****************************************************************************
 ** long int

=== modified file 'server/field/null.cc'
--- server/field/null.cc	2008-07-22 20:48:49 +0000
+++ server/field/null.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/null.h"
+#include "drizzle/server/field/null.h"
 
 uchar Field_null::null[1]={1};
 

=== modified file 'server/field/set.cc'
--- server/field/set.cc	2008-07-22 20:48:49 +0000
+++ server/field/set.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/set.h"
+#include "drizzle/server/field/set.h"
 
 /*
    set type.

=== modified file 'server/field/short.cc'
--- server/field/short.cc	2008-07-22 20:48:49 +0000
+++ server/field/short.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/short.h"
+#include "drizzle/server/field/short.h"
 
 /****************************************************************************
  Field type short int (2 byte)

=== modified file 'server/field/string.cc'
--- server/field/string.cc	2008-07-22 20:48:49 +0000
+++ server/field/string.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/string.h"
+#include "drizzle/server/field/string.h"
 
 #define LONGLONG_TO_STRING_CONVERSION_BUFFER_SIZE 128
 #define DECIMAL_TO_STRING_CONVERSION_BUFFER_SIZE 128

=== modified file 'server/field/timestamp.cc'
--- server/field/timestamp.cc	2008-07-22 20:48:49 +0000
+++ server/field/timestamp.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/timestamp.h"
+#include "drizzle/server/field/timestamp.h"
 
 /**
   TIMESTAMP type holds datetime values in range from 1970-01-01 00:00:01 UTC to 

=== modified file 'server/field/timetype.cc'
--- server/field/timetype.cc	2008-07-22 20:48:49 +0000
+++ server/field/timetype.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/timetype.h"
+#include "drizzle/server/field/timetype.h"
 
 /****************************************************************************
 ** time type

=== modified file 'server/field/varstring.cc'
--- server/field/varstring.cc	2008-07-22 20:48:49 +0000
+++ server/field/varstring.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/varstring.h"
+#include "drizzle/server/field/varstring.h"
 
 /****************************************************************************
   VARCHAR type

=== modified file 'server/field/year.cc'
--- server/field/year.cc	2008-07-22 20:48:49 +0000
+++ server/field/year.cc	2008-07-22 21:54:44 +0000
@@ -22,7 +22,7 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 
-#include "field/year.h"
+#include "drizzle/server/field/year.h"
 
 /****************************************************************************
 ** year type

=== modified file 'server/sql_class.h'
--- server/sql_class.h	2008-07-20 07:56:12 +0000
+++ server/sql_class.h	2008-07-22 21:54:44 +0000
@@ -20,7 +20,7 @@
 #pragma interface			/* gcc class implementation */
 #endif
 
-#include <mysql/plugin_audit.h>
+#include <drizzle/plugin_audit.h>
 #include "log.h"
 #include "rpl_tblmap.h"
 

=== modified file 'server/sql_plugin.h'
--- server/sql_plugin.h	2008-07-18 21:53:31 +0000
+++ server/sql_plugin.h	2008-07-22 21:54:44 +0000
@@ -35,7 +35,7 @@
                      SHOW_LONG_STATUS, SHOW_DOUBLE_STATUS, SHOW_HAVE,   \
                      SHOW_MY_BOOL, SHOW_HA_ROWS, SHOW_SYS, SHOW_LONG_NOFLUSH, \
                      SHOW_LONGLONG_STATUS
-#include <mysql/plugin.h>
+#include <drizzle/plugin.h>
 #undef SHOW_FUNC
 typedef enum enum_mysql_show_type SHOW_TYPE;
 typedef struct st_mysql_show_var SHOW_VAR;

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-07-17 18:48:58 +0000
+++ storage/archive/Makefile.am	2008-07-22 21:54:44 +0000
@@ -21,10 +21,8 @@
 MYSQLBASEdir=           $(prefix)
 MYSQLLIBdir=            $(pkglibdir)
 pkgplugindir =		$(pkglibdir)/plugin
-AM_CPPFLAGS =              -I$(top_srcdir)/include -I$(top_builddir)/include \
-			-I$(top_srcdir)/server \
-                        -I$(srcdir)
-WRAPLIBS=
+AM_CPPFLAGS =           -I$(top_srcdir)/include -I$(top_builddir)/include \
+			-I$(top_srcdir)/server
 
 LDADD =
 AM_CFLAGS = -DHAVE_MYSQL_CONFIG_H

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-07-18 22:41:33 +0000
+++ storage/archive/ha_archive.cc	2008-07-22 21:54:44 +0000
@@ -23,8 +23,6 @@
 #include "ha_archive.h"
 #include <my_dir.h>
 
-#include <mysql/plugin.h>
-
 /*
   First, if you want to understand storage engines you should look at 
   ha_example.cc and ha_example.h. 

